Send a payment update email to the customer
POST
/api/subscriptions/{id}/payment-method/send-update-email
const url = 'https://api.usegro.co/api/subscriptions/example/payment-method/send-update-email';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/subscriptions/example/payment-method/send-update-emailSends the customer an email with a Shopify-hosted link to update the payment method on this subscription. Uses Shopify’s customerPaymentMethodSendUpdateEmail mutation.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Email dispatched
Media typeapplication/json
object
success
required
boolean
Example generated
{ "success": true}Subscription has no Shopify contract, or Shopify rejected the request
Media typeapplication/json
Example
{ "error": "Subscription has no Shopify contract"}